%define name ccsm
%define version 0.9.5.92
%define rel 2
%define git 0

%if  %{git}
%define srcname %{name}-%{git}.tar.lzma
%define distname %{name}
%define release %mkrel 0.%{git}.%{rel}
%else
%define srcname %{name}-%{version}.tar.bz2
%define distname %{name}-%{version}
%define release %mkrel %{rel}
%endif

Name:		%name
Version:	%version
Release:	%release
Summary:	Compiz Config Settings Manager
Group:		System/X11
URL:		http://www.compiz.org/
License:	GPLv2+

Source0:	http://releases.compiz.org/%{version}/%{name}-%{version}.tar.bz2
Patch102:	widgets_filter.patch

# libdrm is not available on these arches
ExcludeArch:	s390 s390x ppc64
BuildArch:	noarch

BuildRequires:	compiz-devel >= %{version}
BuildRequires:	pygtk2.0-devel
BuildRequires:	intltool
BuildRequires:	desktop-file-utils
Requires(post):	desktop-file-utils
Requires(postun):	desktop-file-utils

Requires:	compizconfig-python
Requires:	pygtk2.0
Requires:	compiz
Suggests:	python-sexy

%description
Configuration tool for Compiz when used with the ccp configuration plugin (default).

#----------------------------------------------------------------------------

%prep
%setup -q -n %{distname}
%patch102 -p1 -b .widgets_filter

%build
python setup.py build --prefix=%{_prefix}

%install
%__rm -rf %{buildroot}
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%__rm -f %{buildroot}%{py_puresitedir}/*.egg-info
%find_lang %{name}


desktop-file-install \
  --vendor="" \
  --remove-category="Compiz" \
  --add-category="GTK" \
  --add-category="Settings" \
  --add-category="DesktopSettings" \
  --add-category="X-MandrivaLinux-CrossDesktop" \
  --dir %{buildroot}%{_datadir}/applications \
  %{buildroot}%{_datadir}/applications/%{name}.desktop


%files -f %{name}.lang
%{_bindir}/%{name}
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/images
%{_datadir}/%{name}/images/*.png
%dir %{_datadir}/%{name}/icons
%{_datadir}/%{name}/icons
%dir %{py_puresitedir}/ccm
%{py_puresitedir}/ccm/*.py
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/icons/hicolor/*/apps/%{name}.svg
%{_datadir}/applications/%{name}.desktop




%changelog

* Sun Nov 27 2011 julien <julien> 0.9.5.92-2.mga2
+ Revision: 173060
- clean up spec a bit

* Sun Nov 06 2011 julien <julien> 0.9.5.92-1.mga2
+ Revision: 164325
- upgrade to version 0.9.5.92
- drop very old obsolete
- cleanup spec file a bit

  + dmorgan <dmorgan>
    - New version 0.9.4
      Add fedora patch ( add widgets_filter patch (Bz 553665) )
      Do not build on all arch
    - Backport fedora fix:
      	- requires compiz - if you launch ccsm without compiz installed you get
      		a very dull empty window

* Mon Feb 28 2011 eandry <eandry> 0.8.4-4.mga1
+ Revision: 61790
- clean spec
- fix source and url

  + colin <colin>
    - imported package ccsm

